> 为什么要持续技术学习

Darren: 软件世界是现实世界的一种映射，软件世界日新月异，需要持续学习。


> 中国式学习问题在哪里

晓磊：缺少发现式思维

洋洋：基本知识，动手能流利不强，缺少实践

Darren: 倾向于告诉标准答案


> 学什么

Darren: **学本质、学思想，技巧是最表层的**。比如说产品经理考虑用户的互动，有一条原则是让用户少思考，用更少的时间、成本得到更多的价值。比如编程，**等价思想**，一个复杂的问题总是可以等价成相对更简单的问题，当解决掉简单问题后，复杂问题随之迎刃而解；**封装思想**，当有一些逻辑需要被反复用到的时候，就开始封装；**输入输出思想**，先不考虑细节和内部实现，确定好输入和输出之后，再来考虑内部实现。当有了对本质的认知，对思想的把握，那就可以**以不变应万变**。对本质和思想的认知，实际上是以一种俯视的角度看问题，对其中的脉络和关系做到心中有数，这样才能从眼前的细节中跳离出来。


> 怎样学习

Darren: 学任何东西都是有一个底层框架的。很多领域高手在内心一定是有一个图景的，比如类似思维导图，会对所有的问题进行分类存储，如果发现新的知识点，会不断补充到这个分类图景中。少学，学框架，再不断丰富完善自己的知识框架。


> 比如学C#中的foreach

洋洋：上网搜到一些foreach的用法，跟实际结合不起来。搜索的关键词是"C#中foreach的用法"。

Darren: 关键词非常重要，决定了你能看到哪些信息。想了解不同的方面，选择不同的关键词，比如：c#中foreach的原理。另外，在技术方面，国外的分享精神以及技术的新鲜度和深度要好于国内，在技术的应用方面国内做得比较好，因为这里巨大的市场，国内的巨头公司BAT把技术已经用得很好了，最近几年国内线上线下社区分享环境也变得越来越好，但总体来说，如果查某一类问题，国内国外结合起来会收到更多的信息。